Send Message to a User

​

Sends a message to a user along with gift points, visits, rewards, or progress of a challenge. This also allows you to gift the user different types of rewards at once.

Headers

  • Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Body

application/json
  • Unique ID of the challenge in a campaign for which progress will be gifted

  • The date on which you want the gifted redeemable to expire. If this date is provided and there is an expiry configured on the redeemable, it will expire on the earlier date.

  • Fuel amount that you want to gift to the user

  • In a points-based business, the gift count is the number of points that will be gifted to guests. In a visit-based business, it is the number of visits that will be gifted. Gifting is optional. You can send either a message only or a gift only. However, at least one of the two should be sent.

  • The reason these points, visits, or rewards are being gifted to the user. If no value is provided, the default system value of "Support Activity" will be provided.

  • Unique ID of the location associated with the gift. This is for reference purposes. If no location ID is provided, the ID of the headquarters location will be used.

  • The message that will be sent to the user. Messaging is optional. You can send either a message only or a gift only. However, at least one of the two should be sent.

  • Number of steps that will be gifted to the user for the challenge ID specified in challenge_campaign_id. If the API call is successful, the progress made in the challenge is shown in the Challenges tab on the user timeline in the Punchh platform. Challenges must be enabled for the business in the Punchh platform, and the bearer token for admin authorization passed in the Authorization header must have the Dashboard API Access and Gift or Force Redeem permissions for the API to send the user notification of the progress for a challenge successfully. Contact your Punchh representative to update this Punchh platform configuration.

  • Unique ID of the redeemable that you want to gift to the user. Gifting is optional. You can send either a message only or a gift only. However, at least one of the two should be sent.

  • Resets the guest's last activity which is the expiry date to the current time

  • Currency amount that will be gifted to the user. Gifting is optional. You can send either a message only or a gift only. However, at least one of the two should be sent.

  • Subject of the message that you want to send to the user. If no value is provided, the default system value will be picked.

Responses

  • application/json
  • application/json
  • application/json
Request Example for post/api2/dashboard/users/send_message
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/users/send_message \
  --request POST \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "user_id": 111111111,
  "subject": "Gifts from us.",
  "message": "Enjoy this special reward on your next visit!",
  "gift_reason": "Guest Appreciation",
  "gift_count": 50,
  "redeemable_id": 106,
  "end_date": "2026-10-01"
}'
{
  "reward_id": 60175326114
}